> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plude.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Versioning

Use the `x-version` to force a specific version. Not providing a version, will result in the latest version.

<Info>
  Current version is **2024-1**
</Info>

Example:

```
curl https://api.plude.io
    -H 'x-version: 2023-1'
    -H 'accepts: application/json'
```

We keep a **current version-2** compatability timeframe. You must update within this to void breaking changes.

| **version** | **current** | **released**      |
| :---------- | :---------- | :---------------- |
| 2024-1      | yes         | March 7th 2024    |
| 2023-7      |             | November 1st 2023 |
| 2023-6      |             | June 24th 2023    |

## Breaking changes

Avoiding breaking changes is our most profound task when updating the API. Whilst we may update the API by introducing new endpoints, attributes or objects - we thrive to avoid breaking changes.

Examples of breaking changes are:

* Removing or renaming a parameter or field
* Removing or renaming an endpoint or operation
* Removing functionality from an endpoint
* Adding stricter validation for a field
* Changing error handling

If breaking changes are introduced, we will move to a new version. However, as stated, introducing non-breaking changes such as listed below, may not introduce a new version:

## Non-breaking changes

* Adding new endpoints or operations
* Adding new fields to responses
* Adding new optional request parameters
* Changing field ordering in responses

# Webhooks

Webhook don't use default version. You can set the API version that you'd like to use when.
